### Method

# GtkSource SearchContext get_regex_error

#### Declaration [src]

    GError*
    gtk_source_search_context_get_regex_error (
      GtkSourceSearchContext* search
    )

#### Description [src]

Regular expression patterns must follow certain rules. If `GtkSourceSearchSettings:search-text` breaks a rule, the error can be retrieved with this function.

The error domain is `GRegexError`.

Free the return value with `g_error_free()`.

Gets property | `GtkSource.SearchContext:regex-error`

#### Return value

Type: `GError`

The `GError`, or `NULL` if the pattern is valid.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.